XPMU(3)

SYNOPSIS
SUBROUTINE XPMU (NU1, NU2, MU1, MU2, THETA, X, SX, ID, PQA, IPQA, 1 IERROR)

NAME
xpmu - To compute the values of Legendre functions for XLEGF. Method: backward mu-wise recurrence for P(-MU,NU,X) for fixed nu to obtain P(-MU2,NU1,X), P(-(MU2-1),NU1,X), ..., P(-MU1,NU1,X) and store in ascending mu order.

LIBRARY
SLATEC

CATEGORY
C3A2, C9

TYPE
SINGLE PRECISION (XPMU-S, DXPMU-D)

KEYWORDS
LEGENDRE FUNCTIONS

AUTHOR
Smith, John M., (NBS and George Mason University)

ROUTINES CALLED
XADD, XADJ, XPQNU

REVISION HISTORY (YYMMDD)
820728 DATE WRITTEN
890126 Revised to meet SLATEC CML recommendations. (DWL and JMS)
901019 Revisions to prologue. (DWL and WRB)
901106 Changed all specific intrinsics to generic. (WRB) Corrected order of sections in prologue and added TYPE section. (WRB)
920127 Revised PURPOSE section of prologue. (DWL)